Spaces method and path for this operation:
Refer to Spaces for more information.
Get a list of monitors.
You must have read privileges for the Synthetics feature in the Observability section of the Kibana feature privileges.
[Required authorization] Route required privileges: uptime-read.
Query parameters
-
A free-text query string.
Maximum length is
4096. -
Additional KQL filtering criteria.
Maximum length is
4096. -
The monitor types to filter by, such as
http. Accepts a string or an array of strings.Not more than
1000elements. Maximum length of each is4096. -
The location IDs to filter by. Accepts a string or an array of strings.
Not more than
1000elements. Maximum length of each is4096. -
The projects to filter by. Accepts a string or an array of strings.
Not more than
1000elements. Maximum length of each is4096. -
The schedules to filter by. Accepts a string or an array of strings.
Not more than
1000elements. Maximum length of each is4096. -
A string or an array of strings.
Not more than
1000elements. Maximum length of each is4096. -
The monitor statuses to filter by. Accepts a string or an array of strings.
Not more than
1000elements. Maximum length of each is4096. -
The monitor query IDs to filter by. Accepts a string or an array of strings.
Not more than
1000elements. Maximum length of each is4096. -
The monitor config IDs to filter by. Accepts a string or an array of strings.
Not more than
1000elements. Maximum length of each is4096. -
If
true, return monitors from all spaces the user can access.Values are
trueorfalse. -
Apply logical AND for
tagsand/orlocations. Accepts a string or an array.Not more than
1000elements. Values aretagsorlocations. -
The start of the status window, as datemath (
now-15m) or an ISO-8601 timestamp.Maximum length is
4096. -
The end of the status window, as datemath (
now) or an ISO-8601 timestamp.Maximum length is
4096. -
The page number for paginated results.
-
The number of items to return per page.
-
The field to sort the results by.
Values are
enabled,status,updated_at,created_at,urls,name,tags,project_id,type,schedule, orjourney_id. -
The sort order.
Values are
descorasc. -
A JSON array of sort values from the previous page, for cursor-based paging.
Not more than
50elements. Maximum length of each is4096.
curl \
-X GET "${KIBANA_URL}/api/synthetics/monitors" \
-H "Authorization: ApiKey ${API_KEY}"
GET kbn://api/synthetics/monitors
{
"absoluteTotal": 24,
"monitors": [
{
"alert": {
"status": {
"enabled": true
},
"tls": {
"enabled": true
}
},
"config_id": "e59142e5-1fe3-4aae-b0b0-19d6345e65a1",
"created_at": "2023-11-07T09:57:04.152Z",
"enabled": false,
"host": "8.8.8.8:80",
"id": "e59142e5-1fe3-4aae-b0b0-19d6345e65a1",
"ipv4": true,
"ipv6": true,
"locations": [
{
"geo": {
"lat": 41.25,
"lon": -95.86
},
"id": "us_central",
"isServiceManaged": true,
"label": "North America - US Central"
}
],
"max_attempts": 2,
"mode": "all",
"name": "8.8.8.8:80",
"namespace": "default",
"origin": "ui",
"revision": 3,
"schedule": {
"number": "3",
"unit": "m"
},
"timeout": "16",
"type": "icmp",
"updated_at": "2023-12-04T19:19:34.039Z",
"wait": "7"
}
],
"page": 1,
"perPage": 10,
"total": 24
}